Loading...
Searching...
No Matches
pdftron::PDF::Annots::Polygon Class Reference

`#include <PolyLine.h>`

Inheritance diagram for pdftron::PDF::Annots::Polygon:

## Public Member Functions
| Polygon (SDF::Obj d=0)
| Polygon (const Annot &ann)
| Polygon (TRN_Annot polyline)
Public Member Functions inherited from pdftron::PDF::Annots::PolyLine
| PolyLine (SDF::Obj d=0)
| PolyLine (const Annot &ann)
int | GetVertexCount () const
Point | GetVertex (int idx) const
void | SetVertex (int idx, const Point &pt)
IntentType | GetIntentName () const
void | SetIntentName (IntentType mode)
| PolyLine (TRN_Annot polyline)
Public Member Functions inherited from pdftron::PDF::Annots::Line
| Line (SDF::Obj d=0)
| Line (const Annot &ann)
Point | GetStartPoint () const
void | SetStartPoint (const Point &sp)
Point | GetEndPoint () const
void | SetEndPoint (const Point &ep)
EndingStyle | GetStartStyle () const
void | SetStartStyle (EndingStyle sst)
EndingStyle | GetEndStyle () const
void | SetEndStyle (EndingStyle est)
double | GetLeaderLineLength () const
void | SetLeaderLineLength (const double &length)
double | GetLeaderLineExtensionLength () const
void | SetLeaderLineExtensionLength (const double &length)
bool | GetShowCaption () const
void | SetShowCaption (bool showCaption)
IntentType | GetIntentType () const
void | SetIntentType (IntentType it)
double | GetLeaderLineOffset () const
void | SetLeaderLineOffset (double length)
CapPos | GetCaptionPosition () const
void | SetCaptionPosition (const CapPos &style)
double | GetTextHOffset () const
void | SetTextHOffset (double offset)
double | GetTextVOffset () const
void | SetTextVOffset (double offset)
Public Member Functions inherited from pdftron::PDF::Annots::Markup
| Markup (SDF::Obj d=0)
| Markup (const Annot &ann)
UString | GetTitle ()
void | SetTitle (const UString &title)
void | SetTitle (const char *title)
Popup | GetPopup () const
void | SetPopup (const Popup &ppup)
double | GetOpacity () const
void | SetOpacity (double op)
UString | GetSubject () const
void | SetSubject (const UString &contents)
Date | GetCreationDates () const
void | SetCreationDates (const Date &dt)
BorderEffect | GetBorderEffect () const
void | SetBorderEffect (BorderEffect effect=e_None)
double | GetBorderEffectIntensity () const
void | SetBorderEffectIntensity (double intensity=0)
ColorPt | GetInteriorColor () const
int | GetInteriorColorCompNum () const
void | SetInteriorColor (const ColorPt &c, int CompNum)
Rect | GetContentRect () const
void | SetContentRect (const Rect &cr)
Rect | GetPadding () const
void | SetPadding (const Rect &rd)
void | SetPadding (double x)
void | RotateAppearance (double angle)
Public Member Functions inherited from pdftron::PDF::Annot
| Annot (SDF::Obj d=0)
| Annot (const Annot &d)
Annot & | operator= (const Annot &d)
bool | operator== (const Annot &d)
bool | IsValid () const
SDF::Obj | GetSDFObj () const
Type | GetType () const
Rect | GetRect () const
Rect | GetVisibleContentBox () const
bool | IsMarkup () const
void | SetRect (const Rect &pos)
Page | GetPage () const
void | SetPage (const Page &page)
SDF::Obj | GetUniqueID () const
void | SetUniqueID (const char *id, int id_buf_sz=0)
Date | GetDate () const
void | SetDate (const Date &date)
bool | GetFlag (Flag flag) const
void | SetFlag (Flag flag, bool value)
SDF::Obj | GetTriggerAction (Annot::ActionTriggerEvent trigger)
BorderStyle | GetBorderStyle () const
void | SetBorderStyle (const BorderStyle &bs, bool oldStyleOnly=false)
SDF::Obj | GetAppearance (AnnotationState annot_state=e_normal, const char *app_state=0)
void | SetAppearance (SDF::Obj app_stream, AnnotationState annot_state=e_normal, const char *app_state=0)
void | RemoveAppearance (AnnotationState annot_state=e_normal, const char *app_state=0)
void | Flatten (class Page page)
const char * | GetActiveAppearanceState () const
void | SetActiveAppearanceState (const char *astate)
ColorPt | GetColorAsRGB () const
ColorPt | GetColorAsCMYK () const
ColorPt | GetColorAsGray () const
int | GetColorCompNum () const
void | SetColor (const ColorPt &col, int numcomp=3)
int | GetStructParent () const
void | SetStructParent (const int parkeyval)
SDF::Obj | GetOptionalContent () const
void | SetOptionalContent (SDF::Obj content)
void | SetContents (const UString &contents)
UString | GetContents () const
int | GetRotation () const
void | SetRotation (int angle)
void | RefreshAppearance ()
void | RefreshAppearance (const RefreshOptions &options)
UString | GetCustomData (const UString &key) const
void | SetCustomData (const UString &key, const UString &value)
void | DeleteCustomData (const UString &key)
void | Resize (const Rect &newrect)
ptrdiff_t | GetHandleInternal ()

## Static Public Member Functions
static Polygon | Create (SDF::SDFDoc &doc, const Rect &pos)
static Polygon | CreateAnnot (SDF::SDFDoc &doc, const Rect &pos)
Static Public Member Functions inherited from pdftron::PDF::Annots::PolyLine
static PolyLine | Create (SDF::SDFDoc &doc, const Rect &pos)
static PolyLine | CreateAnnot (SDF::SDFDoc &doc, const Rect &pos)
Static Public Member Functions inherited from pdftron::PDF::Annots::Line
static Line | Create (SDF::SDFDoc &doc, const Rect &pos)
static Line | CreateAnnot (SDF::SDFDoc &doc, const Rect &pos)
Static Public Member Functions inherited from pdftron::PDF::Annot
static Annot | Create (SDF::SDFDoc &doc, Type type, const Rect &pos)
static Annot * | CreateInternal (ptrdiff_t impl)

## Additional Inherited Members
Public Types inherited from pdftron::PDF::Annots::PolyLine
enum | IntentType { e_PolygonCloud , e_PolyLineDimension , e_PolygonDimension , e_Unknown }
Public Types inherited from pdftron::PDF::Annots::Line
enum | EndingStyle { e_Square , e_Circle , e_Diamond , e_OpenArrow , e_ClosedArrow , e_Butt , e_ROpenArrow , e_RClosedArrow , e_Slash , e_None , e_Unknown }
enum | IntentType { e_LineArrow , e_LineDimension , e_null }
enum | CapPos { e_Inline , e_Top }
Public Types inherited from pdftron::PDF::Annots::Markup
enum | BorderEffect { e_None , e_Cloudy }
Public Types inherited from pdftron::PDF::Annot
enum | Type { e_Text , e_Link , e_FreeText , e_Line , e_Square , e_Circle , e_Polygon , e_Polyline , e_Highlight , e_Underline , e_Squiggly , e_StrikeOut , e_Stamp , e_Caret , e_Ink , e_Popup , e_FileAttachment , e_Sound , e_Movie , e_Widget , e_Screen , e_PrinterMark , e_TrapNet , e_Watermark , e_3D , e_Redact , e_Projection , e_RichMedia , e_Unknown }
enum | Flag { e_invisible , e_hidden , e_print , e_no_zoom , e_no_rotate , e_no_view , e_read_only , e_locked , e_toggle_no_view , e_locked_contents }
enum | ActionTriggerEvent { e_action_trigger_activate = 0 , e_action_trigger_annot_enter = 1 , e_action_trigger_annot_exit = 2 , e_action_trigger_annot_down = 3 , e_action_trigger_annot_up = 4 , e_action_trigger_annot_focus = 5 , e_action_trigger_annot_blur = 6 , e_action_trigger_annot_page_open = 7 , e_action_trigger_annot_page_close = 8 , e_action_trigger_annot_page_visible = 9 , e_action_trigger_annot_page_invisible = 10 }
enum | AnnotationState { e_normal , e_rollover , e_down }
typedef pdftron::PDF::BorderStyle | BorderStyle

## Detailed Description

Definition at line 126 of file PolyLine.h.

## Constructor & Destructor Documentation

## ◆ Polygon() [1/3]

pdftron::PDF::Annots::Polygon::Polygon | ( | SDF::Obj | d = 0 | ) |

Creates a Polygon annotation and initializes it using given Cos/SDF object.

Parameters

  d | The Cos/SDF object to initialze the annotation with.

Note
  The constructor does not copy any data, but is instead the logical equivalent of a type cast.

## ◆ Polygon() [2/3]

pdftron::PDF::Annots::Polygon::Polygon | ( | const Annot & | ann | ) |
| inline

Creates a Polygon annotation and initializes it using given annotation object.

Parameters

  ann | Annot object used to initialize the Polygon annotation.

Note
  The constructor does not copy any data, but is instead the logical equivalent of a type cast.

Definition at line 143 of file PolyLine.h.

## ◆ Polygon() [3/3]

pdftron::PDF::Annots::Polygon::Polygon | ( | TRN_Annot | polyline | ) |

## Member Function Documentation

## ◆ Create()

Polygon pdftron::PDF::Annots::Polygon::Create | ( | SDF::SDFDoc & | doc,
|  | const Rect & | pos )
| static

Creates a new Polygon annotation in the specified document.

Parameters

  doc | A document to which the Polygon annotation is added.
  pos | A rectangle specifying the Polygon annotation's bounds in default user space units.

Returns
  A newly created blank Polygon annotation.

## ◆ CreateAnnot()

Polygon pdftron::PDF::Annots::Polygon::CreateAnnot | ( | SDF::SDFDoc & | doc,
|  | const Rect & | pos )
| static

The documentation for this class was generated from the following file:

- PDF/Annots/PolyLine.h